<?php

  require_once("./inc/kip.class.php");
  $voice_site = new InitSet;

  if ( !isset ( $_SESSION['lang'] ) || empty ( $_SESSION['lang'] ) )
  $_SESSION['lang'] = KiP_lang;

  @include_once( "./" . KiP_flang . htmlentities( $_SESSION['lang'] ) . "/index.php" );
  
  $voice_site->ListLang (  KiP_hroot . KiP_flang );
  
  $for_act = Array ( $_GET['album'], $_GET['to_lang'], $_GET['bsect'] );
  
  $c = 0;
  
  for ( $i = 0; $i < count ( $for_act ); $i++ ) {
  
    if ( isset ( $for_act[$i] ) && !empty ( $for_act[$i] ) ) {
    
      switch ( $i ) {
      
        case '0': include("./pages/content/prec.php"); $c++; break;
        case '1':
          $langy = htmlentities ( $for_act[$i] );
          $mika = $voice_site->check_lang( $langy );
          if ( isset ( $mika ) && !empty ( $mika ) && ( preg_match ( "/[a-zA-Z-]/", $mika ) ) ) {
            $_SESSION['lang'] = $langy;
            //echo "<script>document.location.href='" . urldecode ( $_GET['mind'] ) . "';</script>";
          }
          $c++;
        break;
        case '2':
          $grap = htmlentities ( $for_act[$i] );
          switch ( $grap ) {
            case 'abt': break;
          }
          $c++;
        break;
      
      }
    
    }
  
  }
  
  if ( empty ( $c ) ) { $site_text = $voice_site->getAlbum( KiP_root, KiP_tpl ); }

  if ( defined ( KiP_iFade ) ) {
    if ( KiP_iFade == "true" ) {
      $plus_s = "<script src=\"" . KiP_url . KiP_tpl . "script/loadimg.js\" type=\"text/javascript\" charset=\"utf-8\"></script>";
    }
  } else { $plus_s = ""; }

  require_once("./inc/template.class.php");